Bug 170636 - khotkeys/arts crashing with kdelibs-3.4.91-2
khotkeys/arts crashing with kdelibs-3.4.91-2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-13 10:12 EDT by Sammy
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-27 05:13:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sammy 2005-10-13 10:12:58 EDT
From Bugzilla Helper: User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux; X11; en_US) KHTML/3.4.91 (like Gecko)  Description of problem: After updating today to kdelibs-3.4.91-2 and restarting khotkeys and arts started  crashing. Reverting back to kdelibs-3.4.91-1 solves the problem. I am on a   X86_64 system.    PS: The beta2 seems to be almost out.   Version-Release number of selected component (if applicable): kdelibs-3.4.91-2  How reproducible: Always  Steps to Reproduce: 1. Update to kdelibs-3.4.91-1  2. Restart kde and login  3.       Additional info:
Comment 1 Sammy 2005-10-13 10:14:44 EDT
Another problem is what you see above! When I use konqueror to file bugzilla
reports everything is on a single line.

I am now using firefox.
Comment 2 Joel Rittvo 2005-10-19 19:04:49 EDT
Here is the backtrace I get on an i686 system, in case this is some help in
solving this:

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
`shared object read from target memory' has disappeared; keeping its symbols.
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208559168 (LWP 2790)]
(no debugging symbols found)
[KCrash handler]
#4  0x006a0587 in __gnu_cxx::__pool<true>::_M_reclaim_block ()
   from /usr/lib/libstdc++.so.6
#5  0x05f9bfcc in __gnu_cxx::__mt_alloc<Arts::ParamDef,
__gnu_cxx::__common_pool_policy<__gnu_cxx::__pool, true> >::deallocate ()
   from /usr/lib/libartskde.so.1
#6  0x012222c5 in Arts::readTypeSeq<Arts::MethodDef> ()
   from /usr/lib/libmcop.so.1
#7  0x0120aa1f in Arts::InterfaceDef::readType () from /usr/lib/libmcop.so.1
#8  0x0120c6fe in Arts::InterfaceDef::InterfaceDef ()
   from /usr/lib/libmcop.so.1
#9  0x01222f3a in Arts::readTypeSeq<Arts::InterfaceDef> ()
   from /usr/lib/libmcop.so.1
#10 0x0120d062 in Arts::ModuleDef::readType () from /usr/lib/libmcop.so.1
#11 0x0120dd94 in Arts::ModuleDef::ModuleDef () from /usr/lib/libmcop.so.1
#12 0x01253f61 in Arts::IDLFileReg::startup () from /usr/lib/libmcop.so.1
#13 0x01260f42 in Arts::StartupManager::startup () from /usr/lib/libmcop.so.1
#14 0x0122b612 in Arts::Dispatcher::Dispatcher () from /usr/lib/libmcop.so.1
#15 0x05fa5939 in KArtsDispatcher::KArtsDispatcher ()
   from /usr/lib/libartskde.so.1
#16 0x00d79f46 in KHotKeys::SoundRecorder::SoundRecorder ()
   from /usr/lib/libkdeinit_khotkeys.so
#17 0x00d74fea in KHotKeys::Voice::Voice ()
   from /usr/lib/libkdeinit_khotkeys.so
#18 0x00d5ff9b in KHotKeys::init_global_data ()
   from /usr/lib/libkdeinit_khotkeys.so
#19 0x00d5adec in KHotKeys::KHotKeysApp::KHotKeysApp ()
   from /usr/lib/libkdeinit_khotkeys.so
#20 0x00d5b1bd in kdemain () from /usr/lib/libkdeinit_khotkeys.so
#21 0x00b787c4 in kdeinitmain () from /usr/lib/kde3/khotkeys.so
#22 0x0804e038 in ?? ()
#23 0x0804e6b5 in ?? ()
#24 0x0804ecb4 in ?? ()
#25 0x0804fcdc in ?? ()
#26 0x01dd850f in __libc_start_main () from /lib/libc.so.6
#27 0x0804b9b1 in ?? ()
Comment 3 Florian La Roche 2005-10-20 08:53:04 EDT
I've updated to 3.4.92 by just changing the upstream tarballs and doing a
s/3.4.91/3.4.92/ in one of the patches in kdebase (I've done this for
arts, kdelibs and kdebase only).
Above items seem to be resolved for me.
Comment 4 Sammy 2005-10-20 10:04:57 EDT
Are we going to get these under rawhide soon? I am on a X86_64 and would need
both i386 and x86_64 libraries, so I am lazy to do it myself!
Thanks
Comment 5 Joel Rittvo 2005-10-26 18:48:01 EDT
All appears to be fixed for me on an i386 (i686) by the 6:3.4.92-1 and
7:3.4.92-1 kde package set in rawhide on 2005-10-26.
Comment 6 Ngo Than 2005-10-27 05:13:00 EDT
it's fixed in KDE-3.4.92 in rawhide. Many thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.